### Constructor

# Ide ProjectFile new

#### Declaration

    IdeProjectFile*
    ide_project_file_new (
      GFile* directory,
      GFileInfo* info
    )

#### Description

Creates a new project file for a child of `directory`.

Available since: | 3.32

#### Parameters

`directory` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`info` | `GFileInfo`
| A `GFileInfo`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeProjectFile`
| An `IdeProjectFile`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.